SDML(1)

NAME
sdml generate - Generate content using Tera templates

SYNOPSIS
sdml generate [OPTIONS] --template-name <TEMPLATE_NAME> [MODULE]

DESCRIPTION
Generate content using Tera templates

  Arguments:

[MODULE]
    SDML module, loaded using the standard resolver

OPTIONS

-o, --output <OUTPUT>
    File name to write to, or '-' to write to stdout [default: -]

-i, --input <INPUT>
    Input SDML file name to read from, or '-' to read from stdin [default: -]

-g, --template-glob <TEMPLATE_GLOB>
    A file glob for loading templates [default: templates/**/*.md]

-n, --template-name <TEMPLATE_NAME>
    The file name (not path) to the initial template

-h, --help
    Print help

-V, --version
    Print version